Bug 1537266 - [RFE] Add option to lock template upon import using foreman_templates plugin
Summary: [RFE] Add option to lock template upon import using foreman_templates plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Templates Plugin
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:17 UTC by Dylan Gross
Modified: 2019-11-05 22:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:04 UTC
Foreman Issue Tracker 22617 None None None 2018-06-22 19:56:25 UTC

Description Dylan Gross 2018-01-22 19:17:50 UTC
1. Proposed title of this feature request

  Add option to lock template at the time of import using foreman_templates plugin.


3. What is the nature and description of the request?

  Add an option to the import using foreman_templates that will import the template and lock it.

4. Why does the customer need this? (List the business requirements here)

  As a measure of preventing edits to the templates from the Satellite itself when the development workflow of the templates is in git.   
 

5. How would the customer like to achieve this? (List the functional requirements here)

  Perhaps add a flag so that when a template is imported, it will immediately lock the template.
 

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully implemented.

  Using the locking flag, the template would then appear locked within the templates section of the webUI 

7. Is there already an existing RFE upstream or in Red Hat bugzilla?

  I do not believe so.

8. Does the customer have any specific timeline dependencies?

  No
 

9. Is the sales team involved in this request and do they have any additional input?

  No

10. List any affected packages or components.

  tfm-rubygem-foreman_templates

11. Would the customer be able to assist in testing this functionality if implemented?

  Absolutely.

Comment 2 Ondřej Pražák 2018-01-24 09:22:57 UTC
Created redmine issue http://projects.theforeman.org/issues/22399 from this bug

Comment 4 pm-sat@redhat.com 2018-06-22 20:18:35 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22617 has been resolved.

Comment 6 Peter Ondrejka 2018-11-06 14:54:50 UTC
Verified on Satellite 6.5 snap 2 with 

foreman-rake templates:import repo=https://github.com/theforeman/community-templates branch=develop prefix='[community] ' lock=true

Imported templates are locked as expected

Comment 10 errata-xmlrpc 2019-05-14 12:36:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.